/* _dict.c 14/04/96 23.56.48 */
/* daemon.c 03/08/96 11.35.20 */
int file_empty (const char *fpath);
int netconf_system (const char *cmd);
int netconf_system_if (const char *name, const char *args);
/* daemon1.c 01/08/96 01.39.30 */
void daemon_register (DAEMON *dae, const char *name, const char *buf);
DAEMON *daemon_find (const char *name);
void daemon_config (void);
/* daemons.c 01/08/96 01.44.10 */
DAEMON *daemon_new (int managed,
	 const char *name,
	 const char *buf,
	 DAEMON *next);
/* datetime.c 30/06/96 00.06.02 */
int datetime_getfromnet (void);
int datetime_getfromcmos (void);
int datetime_edit (void);
/* devices.c 03/08/96 01.04.38 */
int netconf_setloopback (void);
void devices_ip2a (struct hostent *ent, char *buf);
void devices_ip2a (struct hostent *ent, SSTRING&ip);
void devices_ip2a (unsigned long ip, char *buf);
void devices_ip2a (struct netent *ent, char *buf);
void devices_ip2a (struct netent *ent, SSTRING&ip);
int device_aip24 (const char *aip, int num4[4]);
bool device_validip (const char *aip, bool ishost);
void device_setstdnetmask (const char *hostip,
	 char *def_net,
	 char *def_msk);
int device_insmod (const char *devname);
int netconf_setdevices (void);
/* devlist.c 04/05/96 01.40.46 */
int devlist_read (SSTRINGS&list);
int devlist_devexist (const char *devname);
/* exports.c 19/07/96 12.13.20 */
void exports_edit (void);
/* firewall.c 29/07/96 22.47.50 */
int firewall_setup (void);
int firewall_reset (void);
void firewall_editc (void);
void firewall_editf (void);
void firewall_editb (void);
void firewall_edito (void);
void firewall_edita (void);
/* groutes.c 19/07/96 16.11.46 */
void netconf_editroutes (void);
/* helpf.c 15/01/95 23.17.04 */
/* host.c 03/05/96 23.49.54 */
char *menu_setupopt (char *dst, const char *menu, const char *curval);
int netconf_loadinfos (HOSTINFO&info);
void netconf_updatedns (void);
void netconf_edithost (void);
/* hosts.c 25/07/96 00.50.24 */
void *operator new (size_t size);
char *replaceif (char *last, const char *newval);
int host_lookupother (const char *others, const char *name);
void netconf_edithosts (void);
void netconf_editnet (void);
/* html_access.c 03/08/96 01.32.30 */
void html_access_edit (void);
int html_access_check (int fd);
/* ifconfig.c 05/06/95 23.11.46 */
int ifconfig_getinfo (const char *ifname, IFCONFIG_INFO&info);
/* internal.c 03/10/95 01.09.14 */
/* ipalias.c 22/06/96 00.25.22 */
int alias_setup (const char *devname);
int alias_setup (void);
void alias_edit (void);
/* ipfw.c 12/06/96 00.36.42 */
int ipfw_append (int doit,
	 SSTRING *collect,
	 int command,
	 struct ip_fw&b);
int ipfw_flush (int doit, SSTRING *, int command);
int ipfw_policy (int doit, SSTRING *collect, int command, int policy);
int ipfw_open (void);
void ipfw_close (void);
int ipfw_baseinit (const char *,
	 const char *,
	 const char *,
	 const char *,
	 const char *,
	 const char *,
	 const char *,
	 const char *,
	 const char *,
	 const char *,
	 struct ip_fw&);
/* ipfwrule.c 03/08/96 23.32.08 */
int ipfwrule_convert (const char *str, char ip[], char msk[]);
/* ipx.c 29/07/96 23.31.04 */
void ipx_edit (void);
int ipx_set (void);
/* level.c 09/03/96 01.48.56 */
void netconf_setnetlevel (int level);
int netconf_getnetlevel (void);
/* net.c 11/06/96 00.35.36 */
int net_isipnum (const char *str);
void net_prtlog (const char *ctl, ...);
void net_introlog (const char *msg);
/* netconf.c 02/08/96 23.09.16 */
void netconf_update (void);
void netconf_status (void);
void netconf_edit (void);
int netconf_checkupdate (void);
int netconf_main (int argc, char *argv[]);
/* networks.c 02/06/96 14.52.34 */
/* nis.c 09/03/96 00.38.12 */
void netconf_editnis (void);
int netconf_domainname (int argc, char *argv[]);
/* ppp.c 05/07/96 03.04.42 */
void baud_setfield (int baud, SSTRING&baudstr, DIALOG&dia);
void serial_setfield (SSTRING&device, DIALOG&dia);
void ppp_edit (void);
int ppp_connect (int argc, char *argv[]);
int ppp_disconnect (int argc, char *argv[]);
/* process.c 28/03/96 00.37.38 */
int process_read (void);
PROC *process_find (const char *path);
long process_isactive (const char *path);
/* rarp.c 29/07/96 22.42.54 */
void rarp_edit (void);
void rarp_activate (void);
/* routed.c 23/04/96 00.02.08 */
void routed_edit (void);
/* routes.c 19/07/96 14.00.28 */
int route_install (void);
int route_isactive (const char *dest, char *gateway);
/* routes1.c 19/07/96 16.19.02 */
/* simple.c 09/03/96 02.52.46 */
void simple_install (void);
/* simul.c 30/07/96 00.53.24 */
void simul_init (void);
void simul_init (FILE *f);
void simul_setdemoflag (int on);
int simul_isdemo (void);
int simul_ison (void);
void simul_addcommand (const char *cmd);
void simul_addmsg (const char *ctl, ...);
int simul_prompt (void);
/* start.c 03/08/96 11.15.02 */
int netconf_startstop (const char *name, int go);
void netconf_runlevel (int level);
/* thishost.c 09/03/96 00.59.18 */
/* thishost1.c 24/03/96 14.35.54 */
struct hostent *netconf_netok (char *status);
int netconf_sethostname (void);
int netconf_hostname (int argc, char *argv[]);
int netconf_dnsdomainname (int argc, char *[]);
