/* _dict.c 14/04/96 23.56.54 */
/* devices.c 29/07/96 23.46.08 */
PUBLIC DEVICE::DEVICE (void);
PUBLIC DEVICE::DEVICE (const char *buf,
	 const SSTRING&_comments,
	 char *err);
PUBLIC void DEVICE::write (FILE *fout);
PUBLIC int DEVICE::edit (const DIALERS&dial);
PUBLIC DEVICES::DEVICES (void);
PUBLIC DEVICE *DEVICES::getitem (int no);
PROTECTED CONFIG_OBJ *DEVICES::newobj (const char *buf,
	 const SSTRING&_comments,
	 char *err);
PUBLIC void DEVICES::sort (void);
PUBLIC void DEVICES::edit (void);
/* dialers.c 26/03/96 00.51.44 */
PUBLIC DIALER::DIALER (void);
PUBLIC DIALER::DIALER (const char *buf,
	 const SSTRING&_comments,
	 char *err);
PUBLIC void DIALER::write (FILE *fout);
PUBLIC DIALERS::DIALERS (void);
PUBLIC DIALER *DIALERS::getitem (int no)const;
PUBLIC DIALER *DIALERS::getitem (const char *type)const;
PROTECTED CONFIG_OBJ *DIALERS::newobj (const char *buf,
	 const SSTRING&_comments,
	 char *err);
/* helpf.c 13/03/96 23.58.28 */
PUBLIC UUCP_HELP_FILE::UUCP_HELP_FILE (const char *fname);
/* internal.c 26/03/96 00.59.56 */
PUBLIC CONFIG_OBJS::CONFIG_OBJS (CONFIG_FILE&_f);
PUBLIC int CONFIG_OBJS::read (void);
PRIVATE CONFIG_OBJ *CONFIG_OBJS::getitem (int no);
PUBLIC int CONFIG_OBJS::write (void);
/* permissions.c 26/03/96 00.52.36 */
PUBLIC PERMISSION::PERMISSION (void);
PUBLIC PERMISSION::PERMISSION (const PERMISSION *p);
PUBLIC PERMISSION::PERMISSION (const char *buf,
	 const SSTRING&_comments,
	 char *err);
PUBLIC void PERMISSION::write (FILE *fout);
PUBLIC PERMISSION *PERMISSIONS::getitem (int no);
PUBLIC PERMISSION *PERMISSIONS::getitem (const char *machine,
	 int &no);
PUBLIC PERMISSION *PERMISSIONS::getitem (const char *machine);
PUBLIC PERMISSIONS::PERMISSIONS (void);
PROTECTED CONFIG_OBJ *PERMISSIONS::newobj (const char *buf,
	 const SSTRING&_comments,
	 char *err);
/* poll.c 26/03/96 00.53.04 */
PUBLIC POLL::POLL (const char *_system);
PUBLIC POLL::POLL (const POLL *p);
PUBLIC POLL::POLL (const char *buf,
	 const SSTRING&_comments,
	 char *err);
PUBLIC void POLL::write (FILE *fout);
PUBLIC POLLS::POLLS (void);
PUBLIC POLL *POLLS::getitem (int no);
PUBLIC POLL *POLLS::getitem (const char *system);
PROTECTED CONFIG_OBJ *POLLS::newobj (const char *buf,
	 const SSTRING&_comments,
	 char *err);
/* system.c 29/07/96 23.49.06 */
PUBLIC SYSTEM::SYSTEM (void);
PUBLIC SYSTEM::SYSTEM (const char *line,
	 const SSTRING&_comment,
	 char *err);
PUBLIC void SYSTEM::write (FILE *fout);
PUBLIC int SYSTEM::edit (PERMISSIONS&perms, POLLS&polls);
PUBLIC SYSTEM *SYSTEMS::getitem (int no);
PROTECTED CONFIG_OBJ *SYSTEMS::newobj (const char *buf,
	 const SSTRING&_comments,
	 char *err);
PUBLIC SYSTEMS::SYSTEMS (void);
PUBLIC void SYSTEMS::sort (void);
PUBLIC int SYSTEMS::edit (PERMISSIONS&perms, POLLS&polls);
/* uucp.c 26/03/96 00.45.42 */
