/* _dict.c 14/04/96 23.56.46 */
/* array.c 15/01/96 00.57.16 */
/* confdb.c 10/11/95 20.19.08 */
/* configf.c 03/08/96 22.34.56 */
int file_exist (const char *path);
long file_date (const char *path);
void configf_show (void);
void configf_booterase (void);
/* error.c 25/06/96 01.03.14 */
void xconf_error (const char *msg, ...);
void xconf_notice (const char *msg, ...);
/* fgets.c 20/03/96 11.59.02 */
char *fgets_strip (char *buf,
	 int sizebuf,
	 FILE *fin,
	 char contcar,
	 char comcar,
	 int *noline,
	 int *empty);
char *fgets_strip (char *buf,
	 int sizebuf,
	 FILE *fin,
	 char contcar,
	 char comcar,
	 int *noline);
char *fgets_strip (char *buf, int sizebuf, FILE *fin, int *noline);
int fgets_cont (char *buf, int size, FILE *fin);
const char *fgets_comments (char buf[],
	 int size,
	 FILE *fin,
	 SSTRING&comments);
void comment_write (const SSTRING&str, FILE *fout);
/* file.c 02/03/96 22.53.50 */
int file_copy (const char *src, const char *dst);
/* fopen.c 09/03/96 23.19.02 */
FILE *xconf_fopen (const char *fname, const char *mode);
/* fopen1.c 07/06/96 00.08.40 */
FILE *xconf_fopencfg (const char *fname, const char *mode);
/* helpf.c 12/05/96 02.12.54 */
void help_setlang (const char *_lang);
void helpf_checkall (void);
/* linuxconf.c 20/07/96 22.27.38 */
const char *linuxconf_getval (const char *prefix, const char *key);
int linuxconf_getvalnum (const char *prefix,
	 const char *key,
	 int defval);
int linuxconf_getall (const char *prefix,
	 const char *key,
	 SSTRINGS&lst,
	 int copy);
void linuxconf_removeall (const char *prefix, const char *key);
int linuxconf_save (void);
void linuxconf_add (const char *prefix,
	 const char *key,
	 const char *val);
void linuxconf_add (const char *prefix,
	 const char *key,
	 const SSTRING&val);
void linuxconf_replace (const char *prefix,
	 const char *key,
	 const char *val);
void linuxconf_replace (const char *prefix, const char *key, int val);
void linuxconf_replace (const char *prefix,
	 const char *key,
	 const SSTRING&val);
void linuxconf_replace (const char *prefix,
	 const char *key,
	 const SSTRINGS&vals);
/* malloc.c 02/03/96 22.55.50 */
void *malloc_err (int size);
char *strdup_err (const char *str);
/* menus.c 25/10/95 00.19.06 */
void menuopt_sort (const char **menuopt, int nbmenu, int sort_second);
/* misc.c 18/02/96 14.32.16 */
/* module.c 03/08/96 22.38.20 */
void module_setmenu (DIALOG&dia, MENU_CONTEXT context);
int module_probe (int state, int target);
void module_domenu (MENU_CONTEXT context, const char *key);
void module_config (void);
void module_load (void);
/* popen.c 03/08/96 22.29.00 */
/* sstring.c 03/08/96 22.33.22 */
/* sstrings.c 14/10/95 23.26.26 */
/* str.c 06/06/96 23.39.00 */
int str_strip (const char *str, char *newstr);
char *strip_end (char *str);
char *str_skip (const char *str);
char *str_skipdig (const char *str);
char *str_copyword (char *dest, const char *str);
char *str_copyword (SSTRING&dest, const char *str);
void tbstr_free (char *tb[], int nb);
int stricmp (const char *str1, const char *str2);
void strupr (char *str);
const char *str_extract (const char *buf, SSTRING&s);
/* uname.c 03/04/96 00.02.40 */
int kernel_version (int v[3]);
int kernel_newer (int v0, int v1, int v2);
/* xconf1.c 15/06/96 00.40.44 */
MENU_STATUS xconf_menu_gen (const char *title,
	 const char *explan,
	 HELP_FILE&helpfile,
	 int options,
	 const char *opt[],
	 int &choice);
MENU_STATUS xconf_menu (const char *title,
	 const char *explan,
	 HELP_FILE&helpfile,
	 const char *opt[],
	 int &choice);
MENU_STATUS xconf_menu (const char *title,
	 const char *explan,
	 const char *opt[],
	 int &choice);
MENU_STATUS xconf_menu (const char *title,
	 const char *explan,
	 HELP_FILE&helpfile,
	 const char *save_what,
	 const char *ins_what,
	 const char *del_what,
	 const char *add_what,
	 const char *opt[],
	 int &choice);
MENU_STATUS xconf_yesno (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile);
int xconf_quitwosave (void);
int xconf_areyousure (const char *msg);
/* xconf2.c 25/06/96 01.03.40 */
MENU_STATUS xconf_inputbox (const char *title,
	 const char *explan,
	 HELP_FILE&helpfile,
	 char buffer[MAX_LEN+1]);
MENU_STATUS xconf_inputpass (const char *title,
	 const char *explan,
	 HELP_FILE&helpfile,
	 char buffer[MAX_LEN+1]);
MENU_STATUS xconf_multiinp (const char *title,
	 const char *intro,
	 HELP_FILE&helpfile,
	 const char *prompts[],
	 char minstr[][MAX_LEN+1],
	 int nbfield,
	 int edit,
	 int nof);
int xconf_checklist (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile,
	 int list_height,
	 int item_no,
	 char **items,
	 char *status);
