/* _dict.c 14/04/96 23.56.46 */
/* array.c 15/01/96 00.57.16 */
PUBLIC ARRAY_OBJ::ARRAY_OBJ (void);
PUBLIC VIRTUAL ARRAY_OBJ::~ARRAY_OBJ (void);
PUBLIC void ARRAY_OBJ::rstmodified (void);
PUBLIC void ARRAY_OBJ::setmodified (void);
PUBLIC VIRTUAL int ARRAY_OBJ::was_modified (void);
PUBLIC ARRAY::ARRAY (void);
PUBLIC void ARRAY::neverdelete (void);
PUBLIC void ARRAY::setgrowth (int _increm);
PUBLIC VIRTUAL ARRAY::~ARRAY (void);
PROTECTED void ARRAY::grow (void);
PUBLIC int ARRAY::remove (ARRAY_OBJ *obj);
PUBLIC void ARRAY::remove_all (void);
PUBLIC void ARRAY::remove_del (ARRAY_OBJ *obj);
PUBLIC void ARRAY::delall (void);
PUBLIC int ARRAY::getnb (void)const;
PUBLIC void ARRAY::add (ARRAY_OBJ *pt);
PUBLIC void ARRAY::insert (int pos, ARRAY_OBJ *pt);
PROTECTED ARRAY_OBJ *ARRAY::getitem (int no)const;
PUBLIC void ARRAY::rstmodified (void);
PUBLIC VIRTUAL int ARRAY::was_modified (void);
PUBLIC void ARRAY::sort (int (*cmp)(const ARRAY_OBJ *, const ARRAY_OBJ *));
/* confdb.c 10/11/95 20.19.08 */
PUBLIC CONFOBJ::CONFOBJ (const char *_key, const char *_val);
PUBLIC CONFDB::CONFDB (CONFIG_FILE&_fcfg);
PUBLIC CONFOBJ *CONFDB::getitem (int no);
PUBLIC int CONFDB::save (void);
PUBLIC const char *CONFDB::getval (const char *prefix,
	 const char *key,
	 const char *defval);
PUBLIC const char *CONFDB::getval (const char *prefix,
	 const char *key);
PUBLIC int CONFDB::getvalnum (const char *prefix,
	 const char *key,
	 int defval);
PUBLIC int CONFDB::getall (const char *prefix,
	 const char *key,
	 SSTRINGS&lst,
	 int copy);
PUBLIC void CONFDB::removeall (const char *prefix, const char *key);
PUBLIC void CONFDB::add (const char *prefix,
	 const char *key,
	 const char *val);
PUBLIC void CONFDB::add (const char *prefix,
	 const char *key,
	 const SSTRING&val);
PUBLIC void CONFDB::replace (const char *prefix,
	 const char *key,
	 const char *val);
PUBLIC void CONFDB::replace (const char *prefix,
	 const char *key,
	 int val);
PUBLIC void CONFDB::replace (const char *prefix,
	 const char *key,
	 const SSTRING&val);
PUBLIC void CONFDB::replace (const char *prefix,
	 const char *key,
	 const SSTRINGS&vals);
/* configf.c 03/08/96 22.34.56 */
PRIVATE void CONFIG_FILE::init (const char *_path,
	 int _status,
	 const char *_owner,
	 const char *_group,
	 int _perm);
PUBLIC CONFIG_FILE::CONFIG_FILE (const char *_path,
	 HELP_FILE&_helpfile,
	 int _status);
PUBLIC CONFIG_FILE::CONFIG_FILE (const char *_path,
	 HELP_FILE&_helpfile,
	 int _status,
	 const char *_owner,
	 const char *_group,
	 int _perm);
PUBLIC int CONFIG_FILE::setperm (const char *fpath);
PRIVATE void CONFIG_FILE::fixpath (void)const;
PUBLIC FILE *CONFIG_FILE::fopen (const char *mode);
PUBLIC FILE *CONFIG_FILE::fopen (const char *temp, const char *mode);
PUBLIC const char *CONFIG_FILE::getpath (void)const;
PUBLIC const char *CONFIG_FILE::getstdpath (void)const;
PUBLIC const char *CONFIG_FILE::gethelp (void)const;
PUBLIC int CONFIG_FILE::is_managed (void)const;
PUBLIC int CONFIG_FILE::is_optionnal (void)const;
PUBLIC int CONFIG_FILE::is_generated (void)const;
PUBLIC int CONFIG_FILE::is_erased (void)const;
PUBLIC int CONFIG_FILE::is_probed (void)const;
PUBLIC int CONFIG_FILE::exist (void)const;
PUBLIC long CONFIG_FILE::getdate (void)const;
PUBLIC int CONFIG_FILE::unlink (void)const;
PUBLIC void CONFIG_FILE::editpath (void);
/* error.c 25/06/96 01.03.14 */
/* fgets.c 20/03/96 11.59.02 */
/* file.c 02/03/96 22.53.50 */
/* fopen.c 09/03/96 23.19.02 */
/* fopen1.c 07/06/96 00.08.40 */
/* helpf.c 12/05/96 02.12.54 */
PUBLIC HELP_FILE::HELP_FILE (const char *_subdir, const char *_fname);
PUBLIC const char *HELP_FILE::getpath (void);
/* linuxconf.c 20/07/96 22.27.38 */
/* malloc.c 02/03/96 22.55.50 */
/* menus.c 25/10/95 00.19.06 */
/* misc.c 18/02/96 14.32.16 */
/* module.c 03/08/96 22.38.20 */
PUBLIC LINUXCONF_MODULE *LINUXCONF_MODULES::getitem (int no);
PUBLIC LINUXCONF_MODULE::LINUXCONF_MODULE (void);
PUBLIC LINUXCONF_MODULE::~LINUXCONF_MODULE (void);
PUBLIC VIRTUAL void LINUXCONF_MODULE::setmenu (DIALOG&, MENU_CONTEXT);
PUBLIC VIRTUAL void LINUXCONF_MODULE::domenu (MENU_CONTEXT,
	 const char *);
/* popen.c 03/08/96 22.29.00 */
PUBLIC POPEN::POPEN (const char *command);
PUBLIC POPEN::~POPEN (void);
PRIVATE void POPEN::waitend (void);
PUBLIC int POPEN::isok (void);
PRIVATE void POPEN::readif (struct fd_set *in, int fd, SSTRING&buf);
PUBLIC int POPEN::wait (int timeout);
PUBLIC int POPEN::getstatus (void);
PRIVATE int POPEN::readline (char *line, int size, SSTRING&buf);
PUBLIC int POPEN::readerr (char *line, int size);
PUBLIC int POPEN::readout (char *line, int size);
/* sstring.c 03/08/96 22.33.22 */
PUBLIC SSTRING::SSTRING (void);
PUBLIC SSTRING::SSTRING (const char *_str);
PUBLIC SSTRING::SSTRING (const char *_str, int _maxsiz);
PUBLIC SSTRING::SSTRING (const SSTRING&_str);
PUBLIC SSTRING&SSTRING::operator = (const SSTRING&_str);
PUBLIC SSTRING::~SSTRING (void);
PUBLIC void SSTRING::copy (char *dst)const;
PUBLIC void SSTRING::copy (SSTRING&dst)const;
PUBLIC VIRTUAL void SSTRING::setfrom (const char *src);
PUBLIC void SSTRING::setfrom (const SSTRING&src);
PUBLIC void SSTRING::setfrom (int val);
PUBLIC void SSTRING::append (const char *app);
PUBLIC int SSTRING::getval (void)const;
PUBLIC int SSTRING::getlen (void)const;
PUBLIC const char *SSTRING::get (void)const;
PUBLIC int SSTRING::cmp (const char *other)const;
PUBLIC int SSTRING::ncmp (const char *other, int len)const;
PUBLIC int SSTRING::icmp (const char *other)const;
PUBLIC int SSTRING::icmp (const SSTRING&other)const;
PUBLIC const char *SSTRING::strchr (char carac);
PUBLIC int SSTRING::cmp (const SSTRING&other)const;
PUBLIC void SSTRING::setmaxsiz (int size);
PUBLIC int SSTRING::getmaxsiz (void)const;
PUBLIC int SSTRING::is_empty (void)const;
PUBLIC void SSTRING::strip_end (void);
PUBLIC char *SSTRING::copyword (const char *line);
PUBLIC void CSSTRING::setcomment (const SSTRING&com);
/* sstrings.c 14/10/95 23.26.26 */
PUBLIC SSTRING *SSTRINGS::getitem (int no)const;
PUBLIC void SSTRINGS::sort (void);
PUBLIC int SSTRINGS::lookup (const char *str)const;
PUBLIC int SSTRINGS::lookup (const SSTRING *str)const;
/* str.c 06/06/96 23.39.00 */
/* uname.c 03/04/96 00.02.40 */
/* xconf1.c 15/06/96 00.40.44 */
/* xconf2.c 25/06/96 01.03.40 */
