#include <string.h>
#include <sys/stat.h>
#include "../paths.h"
#include "../misc/misc.h"
#include "xconf.h"


static HELP_FILE help_xconf ("xconf","intro");
static CONFIG_FILE xfconf (ETC_XF86CONFIG,help_xconf
	,CONFIGF_PROBED | CONFIGF_OPTIONNAL);
/*
	Try to find out if the graphic mode is minimally configured
	Return != 0 if so.
	
	status contain some explanation on what is missing.
*/
int xconf_xok (char *status)
{
	struct stat buf;
	int ret = 0;
	status[0] = '\0';
	if (!xfconf.exist()){
		strcpy (status,xfconf.getpath());
		strcat (status," does not exist\n");
	}else if (stat(USR_BIN_X11_X,&buf)==-1){
		strcpy (status,xfconf.getpath());
		strcat (status," do exist\n");
		strcat (status,"but " USR_BIN_X11_X " does not\n");
	}else{
		ret = 1;
	}
	return ret;
}	
